import { IIdentity } from '@essential-projects/iam_contracts';
import { ExternalTask, IExternalTaskApi } from '@process-engine/external_task_api_contracts';
export declare class ExternalTaskApiInternalAccessor implements IExternalTaskApi {
    private readonly _externalApiService;
    constructor(externalApiService: IExternalTaskApi);
    fetchAndLockExternalTasks(identity: IIdentity, workerId: string, topicName: string, maxTasks: number, longPollingTimeout: number, lockDuration: number): Promise<Array<ExternalTask>>;
    extendLock(identity: IIdentity, workerId: string, externalTaskId: string, additionalDuration: number): Promise<void>;
    handleBpmnError(identity: IIdentity, workerId: string, externalTaskId: string, errorCode: string): Promise<void>;
    handleServiceError(identity: IIdentity, workerId: string, externalTaskId: string, errorMessage: string, errorDetails: string): Promise<void>;
    finishExternalTask(identity: IIdentity, workerId: string, externalTaskId: string, payload: any): Promise<void>;
}
